Comments API

Publish comments and replies, import the comments people left on your posts and moderate them.

OperationMethod and path
Start a new comment import for a postPOST /api/v1/comment/import
Get comment import listGET /api/v1/comment/import
Get fetched comments for a postGET /api/v1/comment/import/comments
Run an action on a fetched commentPOST /api/v1/comment/import/comments/{commentId}/action
Get comment import by IDGET /api/v1/comment/import/{importId}
Get commentGET /api/v1/comment/{id}
Update commentPATCH /api/v1/comment/{id}
Delete commentDELETE /api/v1/comment/{id}
Get comment listGET /api/v1/comment
Create commentPOST /api/v1/comment
Retry commentPOST /api/v1/comment/{id}/retry
POST /api/v1/comment/import

Start a new comment import for a post

comment.importCreate · requires x-api-key

Request body application/json

  • teamId string required
  • postId string
  • importedPostId string
  • socialAccountType string required
    One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE TIKTOK REDDIT THREADS MASTODON BLUESKY TWITTER

Example

curl -X POST "https://api.siaran.my/api/v1/comment/import" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID",
    "socialAccountType": "FACEBOOK"
  }'

Response 201

15 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • socialAccountId string required
  • postId string nullable
  • importedPostId string nullable
  • platform string required
    One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE TIKTOK REDDIT THREADS MASTODON BLUESKY TWITTER
  • status string required
    One of: PENDING FETCHING RETRYING COMPLETED SKIPPED FAILED RATE_LIMITED
  • commentsImported number required
  • error string nullable
  • rateLimitResetAt string nullable date-time
  • startedAt string nullable date-time
  • completedAt string nullable date-time
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 409 Conflict · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/comment/import

Get comment import list

comment.importGetList · requires x-api-key

Parameters

NameInTypeNotes
teamId required query string
postId query string
importedPostId query string
status query string One of PENDING, FETCHING, RETRYING, COMPLETED, SKIPPED, FAILED, RATE_LIMITED
offset query number default 0 · nullable
limit query number default 10 · nullable

Example

curl -X GET "https://api.siaran.my/api/v1/comment/import?teamId=TEAM_ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

1 top-level fields
  • imports object[] required
    15 fields
    • id string required
    • teamId string required
    • organizationId string nullable
    • socialAccountId string required
    • postId string nullable
    • importedPostId string nullable
    • platform string required
      One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE TIKTOK REDDIT THREADS MASTODON BLUESKY TWITTER
    • status string required
      One of: PENDING FETCHING RETRYING COMPLETED SKIPPED FAILED RATE_LIMITED
    • commentsImported number required
    • error string nullable
    • rateLimitResetAt string nullable date-time
    • startedAt string nullable date-time
    • completedAt string nullable date-time
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/comment/import/comments

Get fetched comments for a post

comment.importGetFetchedComments · requires x-api-key

Parameters

NameInTypeNotes
teamId required query string
postId query string
importedPostId query string
platform query string One of FACEBOOK, INSTAGRAM, LINKEDIN, YOUTUBE, TIKTOK, REDDIT, THREADS, MASTODON, BLUESKY, TWITTER
socialAccountId query string
offset query number default 0 · nullable
limit query number default 10 · nullable

Example

curl -X GET "https://api.siaran.my/api/v1/comment/import/comments?teamId=TEAM_ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    23 fields
    • id string required
    • teamId string required
    • organizationId string nullable
    • postId string nullable
    • importedPostId string nullable
    • socialAccountId string required
    • importId string required
    • platform string required
      One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE TIKTOK REDDIT THREADS MASTODON BLUESKY TWITTER
    • externalId string required
    • externalParentId string nullable
    • externalPostId string nullable
    • authorName string nullable
    • authorExternalId string nullable
    • authorProfileUrl string nullable
    • authorAvatarUrl string nullable
    • text string nullable
    • likesCount number required
    • repliesCount number required
    • platformData object default {}
      23 fields
      • canDelete boolean nullable
      • canHide boolean nullable
      • canLike boolean nullable
      • canModerate boolean nullable
      • hidden boolean nullable
      • likedByMe boolean nullable
      • likedByAutomation boolean nullable
      • reactionsCount number nullable
      • reactionType string nullable
        One of: LIKE LOVE WOW HAHA SAD ANGRY
      • owner boolean nullable
      • hideStatus string nullable
      • moderationStatus string nullable
      • approvalStatus string nullable
      • status string nullable
      • attachmentType string nullable
      • attachmentUrl string nullable
      • cid string nullable
      • origin string nullable
        One of: platform bundle
      • source string nullable
      • mediaProductType string nullable
      • bundleCommentId string nullable
      • displayState string nullable
        One of: active thread_deleted platform_missing
      • disabledReason string nullable
    • publishedAt string nullable date-time
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
  • total number required

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/comment/import/comments/{commentId}/action

Run an action on a fetched comment

comment.importActionFetchedComment · requires x-api-key

Parameters

NameInTypeNotes
commentId required path string

Request body application/json

  • teamId string required
  • action string required
    One of: DELETE HIDE UNHIDE LIKE UNLIKE APPROVE REJECT
  • reason string max length 500
  • banAuthor boolean

Example

curl -X POST "https://api.siaran.my/api/v1/comment/import/comments/COMMENTID/action" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID",
    "action": "DELETE"
  }'

Response 200

2 top-level fields
  • success boolean required
  • item object required
    23 fields
    • id string required
    • teamId string required
    • organizationId string nullable
    • postId string nullable
    • importedPostId string nullable
    • socialAccountId string required
    • importId string required
    • platform string required
      One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE TIKTOK REDDIT THREADS MASTODON BLUESKY TWITTER
    • externalId string required
    • externalParentId string nullable
    • externalPostId string nullable
    • authorName string nullable
    • authorExternalId string nullable
    • authorProfileUrl string nullable
    • authorAvatarUrl string nullable
    • text string nullable
    • likesCount number required
    • repliesCount number required
    • platformData object default {}
      23 fields
      • canDelete boolean nullable
      • canHide boolean nullable
      • canLike boolean nullable
      • canModerate boolean nullable
      • hidden boolean nullable
      • likedByMe boolean nullable
      • likedByAutomation boolean nullable
      • reactionsCount number nullable
      • reactionType string nullable
        One of: LIKE LOVE WOW HAHA SAD ANGRY
      • owner boolean nullable
      • hideStatus string nullable
      • moderationStatus string nullable
      • approvalStatus string nullable
      • status string nullable
      • attachmentType string nullable
      • attachmentUrl string nullable
      • cid string nullable
      • origin string nullable
        One of: platform bundle
      • source string nullable
      • mediaProductType string nullable
      • bundleCommentId string nullable
      • displayState string nullable
        One of: active thread_deleted platform_missing
      • disabledReason string nullable
    • publishedAt string nullable date-time
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/comment/import/{importId}

Get comment import by ID

comment.importGetById · requires x-api-key

Parameters

NameInTypeNotes
importId required path string

Example

curl -X GET "https://api.siaran.my/api/v1/comment/import/IMPORTID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

15 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • socialAccountId string required
  • postId string nullable
  • importedPostId string nullable
  • platform string required
    One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE TIKTOK REDDIT THREADS MASTODON BLUESKY TWITTER
  • status string required
    One of: PENDING FETCHING RETRYING COMPLETED SKIPPED FAILED RATE_LIMITED
  • commentsImported number required
  • error string nullable
  • rateLimitResetAt string nullable date-time
  • startedAt string nullable date-time
  • completedAt string nullable date-time
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/comment/{id}

Get comment

comment.get · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X GET "https://api.siaran.my/api/v1/comment/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

19 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • internalPostId string nullable
  • importedPostId string nullable
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • title string nullable
  • postDate string nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING RETRYING
  • data object required
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • error string nullable
  • errors object nullable
    12 fields
    • TWITTER string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • errorsVerbose object nullable
    12 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    12 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • FACEBOOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • INSTAGRAM object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • TIKTOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • LINKEDIN object nullable
      3 fields
      • id string nullable
      • commentUrn string nullable
      • permalink string nullable
    • REDDIT object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • YOUTUBE object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • MASTODON object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • THREADS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • DISCORD object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SLACK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

PATCH /api/v1/comment/{id}

Update comment

comment.update · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Request body application/json

  • title string min length 1
  • internalPostId string
  • importedPostId string
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • postDate string
  • status string
    One of: DRAFT SCHEDULED
  • socialAccountTypes string[] min 1 items
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN REDDIT MASTODON DISCORD SLACK BLUESKY
  • data object
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • text string min length 1max length 10,000

Example

curl -X PATCH "https://api.siaran.my/api/v1/comment/ID" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "title": "Hello from Siar",
    "internalPostId": "INTERNALPOST_ID",
    "importedPostId": "IMPORTEDPOST_ID"
  }'

Response 200

19 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • internalPostId string nullable
  • importedPostId string nullable
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • title string nullable
  • postDate string nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING RETRYING
  • data object required
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • error string nullable
  • errors object nullable
    12 fields
    • TWITTER string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • errorsVerbose object nullable
    12 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    12 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • FACEBOOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • INSTAGRAM object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • TIKTOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • LINKEDIN object nullable
      3 fields
      • id string nullable
      • commentUrn string nullable
      • permalink string nullable
    • REDDIT object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • YOUTUBE object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • MASTODON object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • THREADS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • DISCORD object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SLACK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

DELETE /api/v1/comment/{id}

Delete comment

comment.delete · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X DELETE "https://api.siaran.my/api/v1/comment/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

19 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • internalPostId string nullable
  • importedPostId string nullable
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • title string nullable
  • postDate string nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING RETRYING
  • data object required
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • error string nullable
  • errors object nullable
    12 fields
    • TWITTER string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • errorsVerbose object nullable
    12 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    12 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • FACEBOOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • INSTAGRAM object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • TIKTOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • LINKEDIN object nullable
      3 fields
      • id string nullable
      • commentUrn string nullable
      • permalink string nullable
    • REDDIT object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • YOUTUBE object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • MASTODON object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • THREADS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • DISCORD object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SLACK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/comment

Get comment list

comment.getList · requires x-api-key

Parameters

NameInTypeNotes
teamId required query string
postId query string
importedPostId query string
status query string One of DRAFT, SCHEDULED, POSTED, ERROR, DELETED, PROCESSING, RETRYING
orderBy query string One of createdAt, updatedAt, deletedAt
order query string One of ASC, DESC
q query string
platforms query string[] nullable
offset query number default 0 · nullable
limit query number default 10 · nullable

Example

curl -X GET "https://api.siaran.my/api/v1/comment/?teamId=TEAM_ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    19 fields
    • id string required
    • teamId string required
    • organizationId string nullable
    • internalPostId string nullable
    • importedPostId string nullable
    • internalParentCommentId string nullable
    • fetchedParentCommentId string nullable
    • title string nullable
    • postDate string nullable date-time
    • postedDate string nullable date-time
    • status string required
      One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING RETRYING
    • data object required
      12 fields
      • TWITTER object nullable
        1 field
        • text string nullable
      • FACEBOOK object nullable
        1 field
        • text string nullable
      • INSTAGRAM object nullable
        1 field
        • text string nullable
      • THREADS object nullable
        1 field
        • text string nullable
      • TIKTOK object nullable
        1 field
        • text string nullable
      • LINKEDIN object nullable
        1 field
        • text string nullable
      • YOUTUBE object nullable
        1 field
        • text string nullable
      • REDDIT object nullable
        1 field
        • text string nullable
      • MASTODON object nullable
        1 field
        • text string nullable
      • DISCORD object nullable
        1 field
        • text string nullable
      • SLACK object nullable
        1 field
        • text string nullable
      • BLUESKY object nullable
        1 field
        • text string nullable
    • error string nullable
    • errors object nullable
      12 fields
      • TWITTER string nullable
      • FACEBOOK string nullable
      • INSTAGRAM string nullable
      • TIKTOK string nullable
      • LINKEDIN string nullable
      • REDDIT string nullable
      • YOUTUBE string nullable
      • MASTODON string nullable
      • THREADS string nullable
      • DISCORD string nullable
      • SLACK string nullable
      • BLUESKY string nullable
    • errorsVerbose object nullable
      12 fields
      • TWITTER object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • FACEBOOK object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • INSTAGRAM object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • TIKTOK object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • LINKEDIN object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • REDDIT object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • YOUTUBE object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • MASTODON object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • THREADS object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • DISCORD object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • SLACK object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
      • BLUESKY object nullable
        7 fields
        • code string nullable
        • errorMessage string nullable
        • isTransient boolean nullable
        • retryability string nullable
          One of: retryable non_retryable unknown
        • httpStatus number nullable
        • meta any nullable
        • userFacingMessage string nullable
    • externalData object nullable
      12 fields
      • TWITTER object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • FACEBOOK object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • INSTAGRAM object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • TIKTOK object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • LINKEDIN object nullable
        3 fields
        • id string nullable
        • commentUrn string nullable
        • permalink string nullable
      • REDDIT object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • YOUTUBE object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • MASTODON object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • THREADS object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • DISCORD object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • SLACK object nullable
        2 fields
        • id string nullable
        • permalink string nullable
      • BLUESKY object nullable
        5 fields
        • id string nullable
        • uri string nullable
        • cid string nullable
        • permalink string nullable
        • did string nullable
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
  • total number required

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/comment

Create comment

comment.create · requires x-api-key

Request body application/json

  • teamId string required
  • title string min length 1
  • internalPostId string
  • importedPostId string
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • postDate string
  • status string
    One of: DRAFT SCHEDULED
  • socialAccountTypes string[] min 1 items
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN REDDIT MASTODON DISCORD SLACK BLUESKY
  • data object
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • text string min length 1max length 10,000

Example

curl -X POST "https://api.siaran.my/api/v1/comment/" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID"
  }'

Response 200

19 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • internalPostId string nullable
  • importedPostId string nullable
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • title string nullable
  • postDate string nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING RETRYING
  • data object required
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • error string nullable
  • errors object nullable
    12 fields
    • TWITTER string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • errorsVerbose object nullable
    12 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    12 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • FACEBOOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • INSTAGRAM object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • TIKTOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • LINKEDIN object nullable
      3 fields
      • id string nullable
      • commentUrn string nullable
      • permalink string nullable
    • REDDIT object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • YOUTUBE object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • MASTODON object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • THREADS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • DISCORD object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SLACK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/comment/{id}/retry

Retry comment

comment.retry · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X POST "https://api.siaran.my/api/v1/comment/ID/retry" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

19 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • internalPostId string nullable
  • importedPostId string nullable
  • internalParentCommentId string nullable
  • fetchedParentCommentId string nullable
  • title string nullable
  • postDate string nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING RETRYING
  • data object required
    12 fields
    • TWITTER object nullable
      1 field
      • text string nullable
    • FACEBOOK object nullable
      1 field
      • text string nullable
    • INSTAGRAM object nullable
      1 field
      • text string nullable
    • THREADS object nullable
      1 field
      • text string nullable
    • TIKTOK object nullable
      1 field
      • text string nullable
    • LINKEDIN object nullable
      1 field
      • text string nullable
    • YOUTUBE object nullable
      1 field
      • text string nullable
    • REDDIT object nullable
      1 field
      • text string nullable
    • MASTODON object nullable
      1 field
      • text string nullable
    • DISCORD object nullable
      1 field
      • text string nullable
    • SLACK object nullable
      1 field
      • text string nullable
    • BLUESKY object nullable
      1 field
      • text string nullable
  • error string nullable
  • errors object nullable
    12 fields
    • TWITTER string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • errorsVerbose object nullable
    12 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    12 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • FACEBOOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • INSTAGRAM object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • TIKTOK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • LINKEDIN object nullable
      3 fields
      • id string nullable
      • commentUrn string nullable
      • permalink string nullable
    • REDDIT object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • YOUTUBE object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • MASTODON object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • THREADS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • DISCORD object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SLACK object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error